package com.kxs.user.biz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;


/**
 * 实名状态类型枚举
 *
 * @author 没秃顶的码农
 * @date 2024-01-02
 */
@Getter
@RequiredArgsConstructor
public enum UserEquityEnum {


    BASICS(0, "基础权益"),
    SMALL_LEADER(1, "小盟主权益"),
    BIG_LEADER(2, "大盟主权益"),
    PARTNER(3, "合伙人权益");


    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String description;
}
